<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Bladeburner](./bitburner.bladeburner.md) &gt; [getRank](./bitburner.bladeburner.getrank.md)

## Bladeburner.getRank() method

Get player bladeburner rank.

**Signature:**

```typescript
getRank(): number;
```
**Returns:**

number

Player’s Bladeburner Rank.

## Remarks

RAM cost: 4 GB

Returns the player’s Bladeburner Rank.

